@import url('https://fonts.googleapis.com/css2?family=PT+Mono&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans+Condensed:wght@200&display=swap');

* {
    font-family: 'Fira Sans Condensed', sans-serif;
    letter-spacing: 2px;
    font-weight: bolder;
    padding: 0; margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-padding-top: 150px;
}

html, body {
    min-height: 100% !important;
    height: 100%;
}

:root {
    --bg: #0f0e17;
    --orange: #ff8906;
    --grey: #a7a9be;
    --lightred: #E3655B;
    --lightredshadow: #ad4139;
    --green: #459c5a;
    --greenshadow: #22602f;
    --purple: #8b79ff;
    --purpleshadow: #534897;
    --blue: #4586c2;
    --blueshadow: #5763b2;
}

body {
    background-color: var(--bg);
    color: white;
    font-size: 20px;
}

/* Loader Settings */

#preloader {
    background: var(--bg) url(../../gallery/loader.gif) no-repeat center center;
    background-size: 5%;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100;
}


/* Scroll-Bar */

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: var(--bg);
}

::-webkit-scrollbar-thumb {
    background: var(--orange);
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Nav Styling */

.logo {
    width: 200px;
    margin-left: 10vw;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    background: linear-gradient(
        to bottom,
        var(--bg),
        var(--bg),
        var(--bg),
        #1d1b2f
    );
    padding: 10px;
    height: 70px;
    width: 100%;
    z-index: 10;
}

ul {
    display: flex;
    justify-content: space-around;
    list-style-type: none;
    width: 60%;
    margin-right: 10vw;
}

.element {
    font-family: 'Fira Sans Condensed', sans-serif;
    position: relative;
    font-size: 20px;
    color: #fff;
    text-decoration: none;
    padding: 10px;
    z-index: 9;
    transition: .1s ease-in-out;
    letter-spacing: 2px;
}

    .element:hover {
        font-weight: bolder;
        color: #000;
    }

    .elem-focus {
        font-family: 'Fira Sans Condensed', sans-serif;
        position: relative;
        font-size: 20px;
        color: #fff;
        text-decoration: none;
        padding: 10px;
        z-index: 9;
        transition: .1s ease-in-out;
        letter-spacing: 2px;
    }

.bg-element {
    position: absolute;
    top: 5px;
    left: 0;
    width: 100%;
    height: .15em;
    background: #ffffff;
    border-radius: 10px;
    transition: .1s ease-in-out;
    z-index: -1;
}

    .element:hover .bg-element {
        height: 33px;
    }

    .element:hover .bg-element::after {
        height: .15em;
        bottom: 5px;
    }

    .bg-focus {
        height: 33px;
        background: var(--orange);
    }


.overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #00000099;
    cursor: pointer;
    display: none;
    transition: .2s ease-in-out;
    z-index: 9;
}

/* Burger Styling */

.burger {
    background: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    display: none;
}

.line {
    width: 40px;
    height: .3em;
    background-color: var(--orange);
    margin: 6px;
    border-radius: 20px;
    transition: .3s ease-in-out;
}

/* Main Settings */

.main {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
}

/* Live Section Settings */

.livetime {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    background: linear-gradient(
        to top,    
        var(--lightred),
        var(--lightredshadow)
    ); 
    margin: 120px 0 10px;
    width: 80%;
    height: 150px;
    color: #fff;
    font-size: 50px;
    border-radius: 15px;
}

h1 {
    padding: 10px;
    font-size: 30px;
}

.livetime #live {
    font-family: 'PT Mono';
    font-weight: 100;
}

.livetime h2 {
    margin: 10px auto;
    font-size: 15px;
    letter-spacing: 3px;
    color: #d1d1d1;
    text-transform: uppercase;
}

/* Rozklad Settings */

.rozklad-section {
    margin: 10px 0;
    padding-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    background: linear-gradient(
        to top,    
        var(--green),
        var(--greenshadow)
    ); 
    width: 80%;
    height: auto;
    color: #fff;
    font-size: 20px;
    border-radius: 15px;
}

.rozklad-section {
    width: 80%;
}

.btn {
    width: 80%;
    max-width: 600px;
    margin: 5px 10px;
    height: 45px;
    background: #fff;
    border: transparent;
    border-radius: 15px;
    cursor: pointer;
    font-size: 25px;
    transition: .2s ease-in-out;
}

.focus {
    border: 1px dashed #fff;
    background: transparent;
    color: #fff;
}

.rozklad {
    display: none;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    width: 80%;
    max-width: 600px;
    display: none;
    background-color: #00000099;
    border-radius: 15px;
}

.expand {
    display: flex;
    transition: .3s ease-in-out;
}

.rozklad hr {
    width: 25%;
    text-align: center;
    margin: 20px auto;
}

.rozklad h2 {
    font-size: 25px;
}

.rozklad h2:first-child {
    margin-top: 20px;
}

.rozklad .red {
    background: red;
    color: white;
}

.rozklad p {
    font-size: 30px;
    line-height: 60px;
    margin: 0 60px 20px;
}

.rozklad .no-courses {
    font-size: 15px;
    color: var(--grey);
    font-style: italic;
}

.rozklad h3 {
    font-size: 15px;
    margin-bottom: 20px;
}

/* Gallery Settings */

.slider {
    display: grid;
    align-items: center;
    place-items: center;
    position: relative;
    margin: 10px 0;
    background: linear-gradient(
        to top,    
        var(--purple),
        var(--purpleshadow)
    );
    width: 80%;
    height: 290px;
    border-radius: 15px;
    padding: 20px;
    overflow: hidden;
}

.slider::after, .slider::before {
    background: linear-gradient(
        to right,
        transparent,
        var(--purpleshadow)
    );
    content: '';
    height: 100%;
    position: absolute;
    width: 10%;
    z-index: 2;
}

.slider::before {
    left: 0;
    top: 0;
    transform: rotateZ(180deg);
}

.slider::after {
    right: 0;
    top: 0;
}

.slide-track {
    display: flex;
    width: calc(400px * 8);
    animation: scroll 10s linear infinite;
}

.slide-track:hover {
    animation-play-state: paused;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(calc(-400px * 4));
    }
}

.slider a {
    cursor: pointer;
}

.slider .image {
    display: flex;
    align-items: center;
    padding: 15px;
    width: 600px;
}

.slider .image img {
    box-sizing: border-box;
    width: 100%;
    transition: .3s ease-in-out;
    cursor: pointer;
    border-radius: 20px;
    box-shadow: 10px 5px 5px #00000050;
    filter: brightness(0.8);
}

.slider .image img:hover {
    border-radius: 20px;
    border: solid dashed #fff;
    filter: brightness(1);
}

.popup-image {
    position: fixed;
    top: 0;
    left: 0;
    background: #00000099;
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}

.popup-image span {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100%;
    cursor: pointer;
    z-index: 9;
}


.popup-image img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    object-fit: cover;
    z-index: 10;
    width: 50%;
}

/* Gallery Subpage */

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: linear-gradient(
        to top,    
        var(--green),
        var(--greenshadow)
    );
    margin: 120px 0 10px;
    width: 80%;
    height: auto;
    color: #fff;
    font-size: 50px;
    border-radius: 15px;
    padding: 15px;
}

.gallery img {
    width: 500px;
}

.gallery h1 {
    font-size: 40px;
    width: 100%;
}

.gallery hr {
    width: 50%;
    text-align: center;
    margin: 20px 25%;
    margin-bottom: 50px;
}

.gallery .image {
    width: 500px;
    margin: 15px;
}

.gallery .image img {
    box-sizing: border-box;

    transition: .3s ease-in-out;
    cursor: pointer;
    border-radius: 20px;
    box-shadow: 10px 5px 5px #00000050;
    filter: brightness(0.8);
}

.gallery .image img:hover {
    border-radius: 20px;
    border: solid dashed #fff;
    filter: brightness(1);
}

/* Contact Subpage */

.contact {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: linear-gradient(
        to top,    
        var(--blue),
        var(--blueshadow)
    );
    margin: 120px 0 10px;
    width: 80%;
    height: auto;
    color: #fff;
    font-size: 50px;
    border-radius: 15px;
    padding: 15px;
}

.contact div {
    width: 50%;
}

.contact div p {
    font-size: 30px;
    margin: 15px 0;
}

.contact div p a {
    color: #fff;
    text-decoration: none;
}

.contact div p a:hover { 
    color: #ffffff99;
    text-decoration: underline;
}

.contact div p i {
    margin-right: 20px;
}

.contact h1 {
    font-size: 40px;
    width: 100%;
}

.contact hr {
    width: 50%;
    text-align: center;
    margin: 20px 25%;
    margin-bottom: 50px;
}

/* Offer Subpage */

.offer {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    background: url(../../gallery/offer-background.jpg) no-repeat center center;
    margin: 120px 0 10px;
    width: 80%;
    height: auto;
    color: #fff;
    font-size: 50px;
    border-radius: 15px;
    overflow: hidden;
}

.offer img {
    width: 100%;
    filter: brightness(0.3);
}

.points h1 {
    font-size: 40px;
    width: 100%;
}

.points hr {
    width: 50%;
    text-align: center;
    margin: 20px 25%;
}

.points {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0 10px 50px;
    font-size: 25px;
}

.points i {
    margin: 0 15px;
    font-size: 20px;
    opacity: 50%;
}

.point {
    display: flex;
    align-items: center;
}

.desc {
    font-size: 20px;
    margin: 0 100px;
}


/* Footer Settings */

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    margin-top: 20px;
    background: linear-gradient(
        to top,
        var(--bg),
        var(--bg),
        var(--bg),
        var(--bg),
        var(--bg),
        #1d1b2f
    );
    height: 300px;
    width: 100%;
    text-align: center;
    padding-top: 25px;
    color: #fff;
    letter-spacing: 2px;
}

footer img:first-child {
    width: 100px;
    margin-bottom: 20px;
}

footer img {
    width: 50%;
    margin-top: 15px;
}

footer h1 {
    font-size: 25px;
    font-family: 'Fira Sans Condensed', sans-serif;
}

footer div a {
    color: var(--grey);
    text-decoration: none;
    margin: 0 15px;
    font-family: 'Fira Sans Condensed', sans-serif;
    letter-spacing: 5px;
    margin: 5px auto;
}

footer div a:hover {
    text-decoration: underline;
}

@media only screen and (max-width: 999px) {
    
    .burger {
        margin-right: 10%;
        display: block;
        transition: .3 ease-in-out;
    }

    .burger.active .line:first-child {
        transform: translateY(10px) rotate(45deg);
    }

    .burger.active .line:nth-child(2) {
        width: 0px;
        background-color: transparent;
    }

    .burger.active .line:nth-child(3) {
        transform: translateY(-10px) rotate(-45deg);
    }

    ul {
        position: absolute;
        right: 0;
        top: 70px;
        padding-bottom: 50px;
        background-color: #1d1b2f;
        height: 100vh;
        width: 50%;
        flex-direction: column;
        text-align: center;
        transform: translate(100%);
        transition: .3s ease-in-out;
        margin-right: 0vw;
    }

    ul.active {
        transform: translate(0%);
    }

    .overlay.active {
        display: block;
    }

    .element {
        font-size: 20px;
        letter-spacing: 3px;
        padding: 10px;
    }

    .element:hover .bg-element {
        height: 33px;
    }

    .livetime {
        height: 150px;
    }

    .rozklad-button {
        display: flex;
    }

    footer img {
        width: 90%;
    }

    .gallery .image {
        width: 100%;
    }

    .gallery .image img {
        width: 100%;
    }

    .popup-image img {
        width: 80%;
    }

    .slider {
        height: 180px;
        padding: 10px;
    }

    .slider .image {
        padding: 10px;
        width: 250px;
    }

    .slide-track {
        width: calc(250px * 8);
    }
        
    @keyframes scroll {
        0% {
            transform: translateX(0);
        }
        100% {
            transform: translateX(calc(-250px * 4));
        }
    }

    .contact {
        display: block;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .contact div {
        width: 100%;
    }

    .point i {
        font-size: 15px; 
    }

    .point {
        font-size: 15px; 
        line-height: 30px;
    }

    .desc {
        font-size: 18px;
        margin: 10px;
    }
}

@media only screen and (max-width: 770px) {
    ul {
        width: 100%;
    }

    .rozklad-section button {
        font-size: 18px;
    }

}

@media only screen and (max-width: 580px) {
    .livetime {
        width: 90%;
    }

    .about {
        width: 90%;
    }

    .rozklad-section {
        width: 90%;
    }

    .gallery {
        width: 90%;
    }

    .slider {
        width: 90%;
    }

    .contact div p{
        font-size: 15px;
    }
}

@media only screen and (max-width: 500px) {
    .rozklad-section {
        font-size: 15px;
    }
}

@media only screen and (max-width: 400px) {
    .livetime h1{
        font-size: 30px;
    }
}